# Validações padrões do Java e Hibernate
NotNull={0} é obrigatório(a)!
NotBlank={0} não pode estar em branco! 
NotEmpty={0} não pode estar vazio!
Size={0} deve ter um tamanho de caracteres entre {2} e {1}!
Email={0} deve ser um endereço de e-mail bem formado!
Max={0} deve ser menor que ou igual à {1}!
Min={0} deve ser maior que ou igual à {1}!

# Mensagens Customizadas 
mensagem.invalida=Requisição inválida!

recurso.nao-encontrado=Recurso não encontrado!
recurso.operacao-nao-permitida=Operação não permitida!

arquivo.pasta-nao-encontrada=Pasta não encontrada

externo.servico-indisponivel=O serviço externo está indisponível! Por favor aguarde alguns minutos e tente novamente.
externo.servico=O serviço externo retornou um erro.

exception.cliente-cadastrado=Cliente já cadastrado por outro Representante.
exception.pre-reserva-qnt-menor-estoque=Cliente já cadastrado por outro Representante.
exception.acesso-recurso=Recurso do Sistema da Avant indisponível.
exception.recurso-nao-unico=Produto já inserido anteriormente, o mesmo não pode ser duplicado.

# Mensagens Gerais de uso entre os models
id=ID
nome=Nome
cnpj=CNPJ
cpf=CPF
rg=RG
email=E-Mail
observacao=Observação
descricao=Descrição
bloqueado=Bloqueado
cadastradoPor=Cadastrado Por
dataCadastro=Data do Cadastro
ultimaModificacaoPor=Ultima Modificação Por
dataUltimaAlteracao=Data da Ultima Alteração

# Mensagens dos models
usuario=Usuario
usuarios=Usuarios
permissao=Permissão
permissoes=Permissões
hierarquia=Hierarquia
hierarquias=Hierarquias
contato=Contato
contatos=Contatos
aniversario=Aniversário
aniversarios=Aniversários
dadosBancario=Dados Bancário
dadosBancarios=Dados Bancários
cliente=Cliente
clientes=Clientes
representante=Representante
representantes=Representantes
endereco=Endereco
enderecos=Endereços


# Mensagens Específicas dos models

# USUARIO
usuario.codigo_SZR010=Código
usuario.id_SZR010=RECNO
usuario.senha=Senha
usuario.layout=Layout
usuario.layoutMode=Layout Mode
usuario.theme=Thema
usuario.travado=Travado
usuario.layoutDark=Layout Dark
usuario.layoutRTL=Layout RTL
usuario.dataUltimoAcesso=Data do Ultimo Acesso

# PERMISSAO
permissao.codigo_SZT010=Código
permissao.id_SZT010=RECNO

# HIERARQUIA
hierarquia.pai=Pai
hierarquia.filhos=Filhos
hierarquia.nivel=Nível

